{% extends base %}
{% load agenda %}

{% block extrastyle %}
<link rel="stylesheet" type="text/css" href="{% static 'css/agenda.css' %}">
{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
{% if perms.benevole.view_benevole %}
    <li class="breadcrumb-item"><a href="{% url 'benevoles' 'transport' %}">Chauffeurs</a></li>
    <li class="breadcrumb-item active" aria-current="page">{{ agendas.0.chauffeur }}</li>
{% else %}
    <li class="breadcrumb-item"><a href="{% url 'home-app-dispos' %}">Disponibilités</a></li>
    <li class="breadcrumb-item active" aria-current="page">{{ view.day.date }}</li>
{% endif %}
{% endblock %}

{% block content %}
    {% if benevole and show_tabs %}
        {% include 'benevole/benevole_tabs.html' with active='agenda' %}
    {% endif %}

{% if filter_form %}
    <form id="agenda-filter-form" method="post">{% csrf_token %}
        <div class="">
            Journée du <input type="text" name="date" class="vDateField" size="10" data-url="{% url 'agenda-day' 0 0 0 %}">
        </div>
        {{ filter_form.as_p }}
    </form>
{% endif %}

{% for agenda in agendas %}
    <a name="{{ agenda.chauffeur.username }}"></a>
    {% if agenda.title %}<h2>{{ agenda.title }}</h2>{% endif %}

    <div class="mb-1 d-flex" style="align-items: center; text-align: center;">
        <div style="flex-grow: 0;">
            <a class="btn btn-secondary" href="{{ agenda.prev_events }}" title="Semaine précédente">&lt;</a>
        </div>

        <div style="flex: auto;">
            {% if agenda.add_dispo_url %}<a id="add-dispo-btn" class="btn btn-info openmodal" href="{{ agenda.add_dispo_url }}" title="Ajout disponibilité">Ajouter une dispo</a>{% endif %}
            {% if agenda.add_absence_url %}<a class="btn btn-warning openmodal" href="{{ agenda.add_absence_url }}" title="Ajout absence">Ajouter une absence</a>{% endif %}
            {% if agenda.add_rzv_url %}<a id="add-rzv-btn" class="btn btn-info js-add" href="{{ agenda.add_rzv_url }}">Ajouter un rendez-vous</a>{% endif %}
        </div>

        {% block center-buttons %}
        {% endblock %}

        <!--div style="flex: auto;">
            <a href="{{ agenda.print_url }}" title="Format PDF"><img class="ficon" src="{% static 'ficons/pdf.svg' %}"></a>
        </div-->

        <div style="flex-grow: 0;">
            <a class="btn btn-secondary" href="{{ agenda.next_events }}" title="Semaine suivante">&gt;</a>
        </div>
    </div>

    {% block agenda_content %}
    {% if agenda.has_holidays %}
    <div class="agenda-grid holiday-grid">
        {% for day, events in agenda.week_events.items %}
        <div class="cell-holiday">{% if events.holiday %}{{ events.holiday }}{% endif %}</div>
        {% endfor %}
    </div>
    {% endif %}

    {% include 'agenda_grid.html' %}

    {% endblock %}
{% endfor %}
{% endblock %}
